/*
 * Copyright (C) 2000 Free Software Foundation, Inc.
 * Brian Satterfield <legowhore@legowhore.com>, 2000.
 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.legowhore.q3;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.BorderFactory; 
import javax.swing.border.Border;
import javax.swing.JScrollPane;
import java.awt.Dimension;

public class AboutPanel extends JPanel {
    
    //  parent
    Q3ServerKit q3Gui;

    //  text area
    JTextArea textArea; 

    Font smallFont;

    String aboutText;

    public AboutPanel(Q3ServerKit q3Gui) {
	this.q3Gui = q3Gui;
	this.setLayout(new PercentLayout());
	
	smallFont = new Font("plain", Font.PLAIN, 10); 

	textArea = new JTextArea();
	textArea.setFont(smallFont);

	aboutText =  "Application: Q3ServerKit" + "\n";
	aboutText += "Version:      1.5" + "\n";
	aboutText += "Author:       Brian Satterfield" + "\n";
	aboutText += "Q3 Nick:      LegoWhore" + "\n";
	aboutText += "\n";
	aboutText += "Q3ServerKit is intended as a " + "\n";
	aboutText += "Quake3 Arena Server" + "\n";
	aboutText += "administration tool..." + "\n";
	aboutText += "\n";
	aboutText += "Q3ServerKit has the following " + "\n";
    	aboutText += "functionality:" + "\n";
	aboutText += "\n";
	aboutText += "Auto-detect localhost servers." + "\n";
	aboutText += "Remote server connections." + "\n";
	aboutText += "Password handling." + "\n";
	aboutText += "Real-time chat." + "\n";
	aboutText += "Real-time player information." + "\n";
	aboutText += "Ability to start the Q3Server." + "\n";
	aboutText += "Server information." + "\n";
	aboutText += "2 Iconified states" + "\n";
	aboutText += "   - logo size" + "\n";
	aboutText += "   - enlightenment epplet size" + "\n";
	aboutText += "(left and right click on logo)" + "\n";
	aboutText += "\n";
	aboutText += "The logo will also change " + "\n";
	aboutText += "colors to represent the states"+ "\n";
	aboutText += "of the game so that you can " + "\n";
	aboutText += "monitor the server in an "+ "\n";
	aboutText += "iconified state." + "\n";
	aboutText += "\n";
	aboutText += "There is also a 'hidden'" + "\n";
	aboutText += "feature for those of you " + "\n";
	aboutText += "willing to look." + "\n";
	aboutText += "\n";
	aboutText += "Look for new updates and bug" + "\n";
	aboutText += "fixes at www.legowhore.com" + "\n";
	aboutText += "\n";
	aboutText += "Well...have fun, enjoy and " + "\n";
	aboutText += "if you have any problems "+ "\n";
	aboutText += "don't hesitate to email...";
	aboutText += "\n";
	aboutText += "legowhore@legowhore.com" + "\n";
	
	textArea.setText(aboutText);

	JScrollPane areaScrollPane = new JScrollPane(textArea);
        areaScrollPane.setVerticalScrollBarPolicy(
	       JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
        areaScrollPane.setPreferredSize(new Dimension(250, 250));

	add(areaScrollPane, "0 0 100 100");

    }

}
