/*
 * Copyright (C) 2000 Free Software Foundation, Inc.
 * Brian Satterfield <legowhore@legowhore.com>, 2000.
 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.legowhore.q3;

import java.util.Vector;

public class Player{
    
    String name;
    int score;
    int ping;
    static int id = 0;
    
    public Player() {
	id++;
    }

    public Vector getPlayer() {
	Vector player = new Vector();
	player.addElement(name);
	player.addElement("" + ping);
	player.addElement("" + score);
	return player;
    }
    
    public void setName(String name) {
	this.name = name.trim();
    }

    public String getName() {
	return name;
    }
    
    public void setScore(String score) {
	try {
	    this.score = Integer.parseInt(score.trim());
	} catch (NumberFormatException nfe) {
	    //db("could not set player score...");
	}
    }
    
    public int getScore() {
	return score;
    }
    
    public void setPing(String ping) {
	try {
	    this.ping = Integer.parseInt(ping.trim());
	} catch (NumberFormatException nfe) {
	    //db("could not set player ping...");
	}
    }
    
    public void setId(int id) {
    }
    
    public int getPing() {
	return ping;
    }
    
    public int getId() {
	return id;
    }

    public void db(String s) {
	System.err.println(s);
    }
    
    public boolean equals(Object player) {
	if (player instanceof com.legowhore.q3.Player) {
	    String newName = ((Player) player).getName();
	    if (newName.equals(name))
		return true;
	    else 
		return false;
	} else {
	    return false;
	}
    }

    public String toString() {
	String summary = name; 
	while(summary.length() < 15) {
	    summary += " ";
	}
	summary += " " + ping;
	while(summary.length() < 20) {
	    summary += " ";
	}
	summary += " " + score;
	while(summary.length() < 25) {
	    summary += " ";
	}
	return summary;
    }
}
